# HierarchyWizardPageBuilder (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardPageBuilder<T>

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardPageBuilder<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    HierarchyWizard.HierarchyWizardView, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage
  Direct Known Subclasses:
    HierarchyWizardPageIntervals, HierarchyWizardPageOrder, HierarchyWizardPageRedaction

      public abstract class HierarchyWizardPageBuilder<T>
      extends org.eclipse.jface.wizard.WizardPage
      implements HierarchyWizard.HierarchyWizardView

  An abstract base class for pages that allow configuring a builder.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizardPageBuilder(HierarchyWizard<T> wizard, HierarchyWizardModelAbstract<T> model, HierarchyWizardPageFinal<T> finalPage)` Creates a new base class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canFlipToNextPage()`
    `org.eclipse.jface.wizard.IWizardPage` | `getNextPage()`
    `void` | `setVisible(boolean value)`
    `void` | `update()` Update.
    `abstract void` | `updatePage()` Update the page when the model has changed.

    - ### Methods inherited from class org.eclipse.jface.wizard.WizardPage

      `getContainer, getDialogSettings, getImage, getName, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `createControl, dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

- - ### Constructor Detail

    - #### HierarchyWizardPageBuilder

          public HierarchyWizardPageBuilder(HierarchyWizard<T> wizard,
                                    HierarchyWizardModelAbstract<T> model,
                                    HierarchyWizardPageFinal<T> finalPage)

      Creates a new base class.
      Parameters:
        `wizard` -
        `model` -
        `finalPage` -

  - ### Method Detail

    - #### canFlipToNextPage

          public boolean canFlipToNextPage()

      Specified by:
        `canFlipToNextPage` in interface `org.eclipse.jface.wizard.IWizardPage`
      Overrides:
        `canFlipToNextPage` in class `org.eclipse.jface.wizard.WizardPage`

    - #### getNextPage

          public org.eclipse.jface.wizard.IWizardPage getNextPage()

      Specified by:
        `getNextPage` in interface `org.eclipse.jface.wizard.IWizardPage`
      Overrides:
        `getNextPage` in class `org.eclipse.jface.wizard.WizardPage`

    - #### setVisible

          public void setVisible(boolean value)

      Specified by:
        `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
      Overrides:
        `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`

    - #### update

          public void update()

      Description copied from interface: `HierarchyWizard.HierarchyWizardView`
      Update.
      Specified by:
        `update` in interface `HierarchyWizard.HierarchyWizardView`

    - #### updatePage

          public abstract void updatePage()

      Update the page when the model has changed.